Bug 30507

Summary: Value builder for UNIMARC field 183
Product: Koha Reporter: Jérémy Breuillard <jeremy.breuillard>
Component: CatalogingAssignee: Jérémy Breuillard <jeremy.breuillard>
Status: Pushed to master --- QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: david, jeremy.breuillard, m.de.rooy
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Medium patch
Documentation contact: Documentation submission:
Text to go in the release notes:
This enhancement for UNIMARC field 183 adds value builders for subfields $a and $2. These are based on the official UNIMARC codes.
Version(s) released in:
22.11.00
Bug Depends on: 29159    
Bug Blocks:    
Attachments: Bug 30507: Value builder for field 183
Bug 30507: Value builder for field 183
Bug 30507: Value builder for field 183
Bug 30507: Value builder for field 183
Bug 30507: Value builder for field 183
Bug 30507: Value builder for field 183

Description Jérémy Breuillard 2022-04-11 12:12:52 UTC
It could be easier to have plugins on each subfield for field $183 :
$a and $2

The value builder plugins let you choose a alphanumeric code based on unimarc official documents and depending on the item you want to store in koha
Comment 1 Jérémy Breuillard 2022-04-11 12:21:30 UTC Comment hidden (obsolete)
Comment 2 David Nind 2022-04-30 02:11:48 UTC
Hi Jérémy.

There is no value builder shown when editing the subfield for $2 - unimarc_field_183-2.pl.

Also, it looks like the patch (looking at the diff) also includes the changes for field 182.

With the value builder for the $a subfield, when I select a value it also populates the $2 subfield with a value 'RDAcarrier'.

David
Comment 3 Jérémy Breuillard 2022-05-18 14:30:21 UTC
Created attachment 135121 [details] [review]
Bug 30507: Value builder for field 183

This patch provides values builders for the subfields $a and $2. Those are unimarc official codes who help to
identify the kind of items

Test plan:
1)Go to Home > Cataloging > New record
2)Section 1 - field 183 : it contains subfields $a & $2
3)Inputs are writable but notice that no plugins are suggested
4)Apply patch and repeat 1) to 3)
5)Values builders plugins are available for $a and $2
Comment 4 Jérémy Breuillard 2022-05-18 14:33:50 UTC
(In reply to David Nind from comment #2)
> Hi Jérémy.
> 
> There is no value builder shown when editing the subfield for $2 -
> unimarc_field_183-2.pl.
> 
> Also, it looks like the patch (looking at the diff) also includes the
> changes for field 182.
> 
> With the value builder for the $a subfield, when I select a value it also
> populates the $2 subfield with a value 'RDAcarrier'.
> 
> David

Hi David, thank you for the comment. It should be fixed now
Comment 5 David Nind 2022-05-18 20:20:35 UTC
Patch doesn't apply 8-(..

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 30507: Value builder for field 183
error: sha1 information is lacking or useless (cataloguing/value_builder/unimarc_field_182a.pl).
error: could not build fake ancestor
Patch failed at 0001 Bug 30507: Value builder for field 183
Comment 6 Jérémy Breuillard 2022-05-19 08:56:36 UTC Comment hidden (obsolete)
Comment 7 Jérémy Breuillard 2022-05-19 09:01:46 UTC
Created attachment 135196 [details] [review]
Bug 30507: Value builder for field 183

This patch provides values builders for the subfields $a and $2. Those are unimarc official codes who help to
identify the kind of items
Test plan:
1)Go to Home > Cataloging > New record
2)Section 1 - field 183 : it contains subfields $a & $2
3)Inputs are writable but notice that no plugins are suggested
4)Apply patch and repeat 1) to 3)
5)Values builders plugins are available for $a and $2
Comment 8 David Nind 2022-05-19 10:58:52 UTC
Created attachment 135198 [details] [review]
Bug 30507: Value builder for field 183

This patch provides values builders for the subfields $a and $2. Those are unimarc official codes who help to
identify the kind of items
Test plan:
1)Go to Home > Cataloging > New record
2)Section 1 - field 183 : it contains subfields $a & $2
3)Inputs are writable but notice that no plugins are suggested
4)Apply patch and repeat 1) to 3)
5)Values builders plugins are available for $a and $2

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 Kyle M Hall 2022-08-19 11:03:45 UTC
Created attachment 139476 [details] [review]
Bug 30507: Value builder for field 183

This patch provides values builders for the subfields $a and $2. Those are unimarc official codes who help to
identify the kind of items
Test plan:
1)Go to Home > Cataloging > New record
2)Section 1 - field 183 : it contains subfields $a & $2
3)Inputs are writable but notice that no plugins are suggested
4)Apply patch and repeat 1) to 3)
5)Values builders plugins are available for $a and $2

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Tomás Cohen Arazi 2022-08-19 11:54:05 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!